{
  withSystem,
  inputs,
  ...
}: {
  perSystem = {
    config,
    pkgs,
    lib,
    inputs',
    ...
  }: {
    devShells.raku = let
      rakudo_env = pkgs.buildEnv {
        name = "rakudo-env";
        paths = with pkgs; [
          rakudo
          zef
        ];
        pathsToLink = [
          "/bin"
          "/lib"
          "/share"
        ];
      };
      libPackages = with pkgs; [readline70];
    in
      pkgs.mkShell {
        buildInputs = with pkgs;
          [
            # Raku toolchain
            rakudo_env
          ]
          ++ libPackages;
        shellHook = ''
          export LD_LIBRARY_PATH=${lib.makeLibraryPath libPackages}
        '';
      };
  };
}
